v4_root_add_parents: remove a possible buffer overflow.
[nfs-utils.git] / configure.ac
index 920e8da..20c452b 100644 (file)
@@ -185,6 +185,12 @@ else
        AM_CONDITIONAL(MOUNT_CONFIG, [test "$enable_mount" = "yes"])
 fi
 
+AC_ARG_ENABLE(nfsdcld,
+       [AC_HELP_STRING([--enable-nfsdcld],
+                       [Create nfsdcld NFSv4 clientid tracking daemon. @<:@default=no@:>@])],
+       enable_nfsdcld=$enableval,
+       enable_nfsdcld="no")
+
 dnl Check for TI-RPC library and headers
 AC_LIBTIRPC
 
@@ -260,6 +266,20 @@ if test "$enable_nfsv4" = yes; then
   dnl check for the keyutils libraries and headers
   AC_KEYUTILS
 
+  dnl Check for sqlite3
+  AC_SQLITE3_VERS
+
+  if test "$enable_nfsdcld" = "yes"; then
+       AC_CHECK_HEADERS([libgen.h sys/inotify.h], ,
+               AC_MSG_ERROR([Cannot find header needed for nfsdcld]))
+
+       if test "$libsqlite3_cv_is_recent" != "yes" ; then
+               AC_MSG_ERROR([nfsdcld requires sqlite3])
+       fi
+  fi
+
+  AM_CONDITIONAL(CONFIG_NFSDCLD, [test "$enable_nfsdcld" = "yes" ])
+
   dnl librpcsecgss already has a dependency on libgssapi,
   dnl but we need to make sure we get the right version
   if test "$enable_gss" = yes; then
@@ -316,9 +336,6 @@ if test "$enable_gss" = yes; then
   dnl 'gss' also depends on nfsidmap.h - at least for svcgssd_proc.c
   AC_LIBNFSIDMAP
 
-  AC_CHECK_HEADERS([spkm3.h], ,
-                   [AC_MSG_WARN([Could not locate SPKM3 header; will not have SPKM3 support])])
-
   dnl Check for Kerberos V5
   AC_KERBEROS_V5
 
@@ -460,6 +477,7 @@ AC_CONFIG_FILES([
        tools/nfs-iostat/Makefile
        utils/Makefile
        utils/blkmapd/Makefile
+       utils/nfsdcld/Makefile
        utils/exportfs/Makefile
        utils/gssd/Makefile
        utils/idmapd/Makefile
@@ -470,6 +488,7 @@ AC_CONFIG_FILES([
        utils/nfsidmap/Makefile
        utils/showmount/Makefile
        utils/statd/Makefile
+       utils/osd_login/Makefile
        tests/Makefile
        tests/nsm_client/Makefile])
 AC_OUTPUT